Subject: Re: bug#20278: Possible problem with df on Solaris.

From: Rich Burridge <[email-masked]>
Date: Wed, 08 Apr 2015 06:39:36 -0700

On 04/07/2015 11:38 PM, Bernhard Voelker wrote:
> unarchive 19530
> forcemerge 20278 19530
> stop
>
> On 04/08/2015 04:25 AM, Rich Burridge wrote:
>> You'll notice that gdf no longer shows the "/" file-system:
>>
>> rpool/ROOT/os-s12-b70-take2
>>                          457G    13G       310G     4%    /
>>
>>   From a cursory look at the output, I'm not sure there's going to be
>> enough information to go on there, so if you can suggest places where
>> I should add debug to .../coreutils-8.23/src/df.c (or wherever), then
>> I'll do that, and send on that output.
> This pretty much sound like a dupe of
>    http://bugs.gnu.org/19530
>
> There have been made quite a couple of changes to df since v8.23.
> Could you please check again with latest from git, or with the patch
> mentioned in the other bug:
> http://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=ed1a495b

I used the patch linked above and that indeed fixed that problem.

Thanks for your very quick response.